package com.dt.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Data;

/**
 * 发育里程碑记录表
 * @TableName milestone_record
 */
@TableName(value ="milestone_record")
@Data
public class MilestoneRecord {
    /**
     * 记录ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 儿童ID
     */
    private Long childId;

    /**
     * 里程碑类型
     */
    private String milestoneType;

    /**
     * 里程碑名称
     */
    private String milestoneName;

    /**
     * 达成时间
     */
    private Date achieveTime;

    /**
     * 描述
     */
    private String description;

    /**
     * 记录人ID
     */
    private Long recorderId;

    /**
     * 创建时间
     */
    private Date createTime;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        MilestoneRecord other = (MilestoneRecord) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getChildId() == null ? other.getChildId() == null : this.getChildId().equals(other.getChildId()))
            && (this.getMilestoneType() == null ? other.getMilestoneType() == null : this.getMilestoneType().equals(other.getMilestoneType()))
            && (this.getMilestoneName() == null ? other.getMilestoneName() == null : this.getMilestoneName().equals(other.getMilestoneName()))
            && (this.getAchieveTime() == null ? other.getAchieveTime() == null : this.getAchieveTime().equals(other.getAchieveTime()))
            && (this.getDescription() == null ? other.getDescription() == null : this.getDescription().equals(other.getDescription()))
            && (this.getRecorderId() == null ? other.getRecorderId() == null : this.getRecorderId().equals(other.getRecorderId()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getChildId() == null) ? 0 : getChildId().hashCode());
        result = prime * result + ((getMilestoneType() == null) ? 0 : getMilestoneType().hashCode());
        result = prime * result + ((getMilestoneName() == null) ? 0 : getMilestoneName().hashCode());
        result = prime * result + ((getAchieveTime() == null) ? 0 : getAchieveTime().hashCode());
        result = prime * result + ((getDescription() == null) ? 0 : getDescription().hashCode());
        result = prime * result + ((getRecorderId() == null) ? 0 : getRecorderId().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", childId=").append(childId);
        sb.append(", milestoneType=").append(milestoneType);
        sb.append(", milestoneName=").append(milestoneName);
        sb.append(", achieveTime=").append(achieveTime);
        sb.append(", description=").append(description);
        sb.append(", recorderId=").append(recorderId);
        sb.append(", createTime=").append(createTime);
        sb.append("]");
        return sb.toString();
    }
}