package com.dt.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Data;

/**
 * 睡眠记录表
 * @TableName sleep_record
 */
@TableName(value ="sleep_record")
@Data
public class SleepRecord {
    /**
     * 记录ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 儿童ID
     */
    private Long childId;

    /**
     * 入睡时间
     */
    private Date sleepTime;

    /**
     * 醒来时间
     */
    private Date wakeTime;

    /**
     * 睡眠质量(0:差,1:一般,2:良好)
     */
    private Integer sleepQuality;

    /**
     * 备注
     */
    private String remark;

    /**
     * 记录人ID
     */
    private Long recorderId;

    /**
     * 创建时间
     */
    private Date createTime;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        SleepRecord other = (SleepRecord) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getChildId() == null ? other.getChildId() == null : this.getChildId().equals(other.getChildId()))
            && (this.getSleepTime() == null ? other.getSleepTime() == null : this.getSleepTime().equals(other.getSleepTime()))
            && (this.getWakeTime() == null ? other.getWakeTime() == null : this.getWakeTime().equals(other.getWakeTime()))
            && (this.getSleepQuality() == null ? other.getSleepQuality() == null : this.getSleepQuality().equals(other.getSleepQuality()))
            && (this.getRemark() == null ? other.getRemark() == null : this.getRemark().equals(other.getRemark()))
            && (this.getRecorderId() == null ? other.getRecorderId() == null : this.getRecorderId().equals(other.getRecorderId()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getChildId() == null) ? 0 : getChildId().hashCode());
        result = prime * result + ((getSleepTime() == null) ? 0 : getSleepTime().hashCode());
        result = prime * result + ((getWakeTime() == null) ? 0 : getWakeTime().hashCode());
        result = prime * result + ((getSleepQuality() == null) ? 0 : getSleepQuality().hashCode());
        result = prime * result + ((getRemark() == null) ? 0 : getRemark().hashCode());
        result = prime * result + ((getRecorderId() == null) ? 0 : getRecorderId().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", childId=").append(childId);
        sb.append(", sleepTime=").append(sleepTime);
        sb.append(", wakeTime=").append(wakeTime);
        sb.append(", sleepQuality=").append(sleepQuality);
        sb.append(", remark=").append(remark);
        sb.append(", recorderId=").append(recorderId);
        sb.append(", createTime=").append(createTime);
        sb.append("]");
        return sb.toString();
    }
}