package com.dt.oss;

import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.Date;
import java.util.UUID;

@Service

public class OSSService {

    @Value("${oss.endpoint}")
    private String endpoint;

    @Value("${oss.accessKeyId}")
    private String accessKeyId;

    @Value("${oss.accessKeySecret}")
    private String accessKeySecret;

    @Value("${oss.bucketName}")
    private String bucketName;

    public String upload(MultipartFile file) throws IOException {
        // 生成唯一文件名
        String originalFilename = file.getOriginalFilename();
        String fileExtension = originalFilename.substring(originalFilename.lastIndexOf("."));
        String objectName = UUID.randomUUID().toString() ;
        Date date = new Date();
        date.setTime(date.getTime() + 1000 * 60 * 60 * 24 * 7);
        objectName = date.getTime() + objectName.substring(2,10)+ fileExtension;
        System.out.println(objectName);
        // 上传到OSS
        OSS ossClient = new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);
        try {
            ossClient.putObject(bucketName, objectName, file.getInputStream());
            return generateUrl(objectName);
        } finally {
            ossClient.shutdown();
        }
    }

    private String generateUrl(String objectName) {
        return "https://" + bucketName + "." + endpoint.replace("https://", "") + "/" + objectName;
    }
}